Package org.spongepowered.asm.util

## Enum PrettyPrinter.Alignment

- java.lang.Object
- - java.lang.Enum<PrettyPrinter.Alignment>
  - - org.spongepowered.asm.util.PrettyPrinter.Alignment

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<PrettyPrinter.Alignment>`

Enclosing class:
  PrettyPrinter

    public static enum PrettyPrinter.Alignment
    extends java.lang.Enum<PrettyPrinter.Alignment>

Table column alignment

### Enum Constant Summary

Enum Constants
`LEFT`
`RIGHT`

### Method Summary

All Methods Static Methods Concrete Methods
`static PrettyPrinter.Alignment` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PrettyPrinter.Alignment[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### LEFT

    public static final PrettyPrinter.Alignment LEFT

#### RIGHT

    public static final PrettyPrinter.Alignment RIGHT

### Method Detail

#### values

    public static PrettyPrinter.Alignment[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PrettyPrinter.Alignment c : PrettyPrinter.Alignment.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PrettyPrinter.Alignment valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null